0.17rc5 misleading Travis response #877

Closed
keith opened this Issue Mar 19, 2013 · 4 comments

Comments

Projects
None yet
2 participants
Member

keith commented Mar 19, 2013

Earlier today I updated the Mixpanel spec CocoaPods/Specs@77849ab and Travis errored here saying:

Mixpanel/0.0.1/Mixpanel.podspec
- There is already at least one versioned specification so untagged versions cannot be accepted.

Obviously since I just updated the spec (for a fix) and didn't add a new one this response is a little misleading.

Owner

fabiopelosin commented Mar 19, 2013

Indeed, This is an area which can be improved because I didn't spend too much time on 0.0.1 versions as they are somewhat exceptional.

Member

keith commented Mar 19, 2013

Makes sense, this won't be a common issue since the updating of these specs shouldn't happen much but this obviously isn't the correct error message.

Owner

fabiopelosin commented Mar 19, 2013

Yeah there are a couple of edge with this setup which I plan to refine with time. In the meantime I expect contributors to ask about unreasonable messages if they encounter them.

Member

keith commented Mar 19, 2013

Sounds good to me

jzapater pushed a commit to jzapater/CocoaPods that referenced this issue Sep 17, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment